List of all members
clan::FileSystemProvider Class Referenceabstract
clanCore I/O Data

Virtual File System (VFS) file source. More...

`#include <file_system_provider.h>`

## Public Member Functions
Construction
virtual | ~FileSystemProvider ()
Operations
virtual IODevice | open_file (const std::string &filename, File::OpenMode mode=File::open_existing, unsigned int access=File::access_read|File::access_write, unsigned int share=File::share_all, unsigned int flags=0)=0
| Open file from this source. More...
virtual bool | initialize_directory_listing (const std::string &path)=0
| Initiate directory listing. More...
virtual bool | next_file (DirectoryListingEntry &entry)=0
| Update directory listing item. More...
virtual std::string | get_path () const =0
| Return the path of this file source. More...
virtual std::string | get_identifier () const =0
| Get the identifier of this file source. More...

## Detailed Description

Virtual File System (VFS) file source.

The documentation for this class was generated from the following file:

- file_system_provider.h